Package ghidra.app.util.bin.format.pef

# Class RelocValueGroup

java.lang.Object
ghidra.app.util.bin.format.pef.Relocation
ghidra.app.util.bin.format.pef.RelocValueGroup

All Implemented Interfaces:
  `StructConverter`

public class RelocValueGroup extends Relocation
See Apple's -- PEFBinaryFormat.h

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `kPEFRelocBySectC`
  `static final int`
  `kPEFRelocBySectD`
  `static final int`
  `kPEFRelocImportRun`
  `static final int`
  `kPEFRelocTVector12`
  `static final int`
  `kPEFRelocTVector8`
  `static final int`
  `kPEFRelocVTable8`

  ### Fields inherited from class ghidra.app.util.bin.format.pef.Relocation

  `opcode`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(ImportStateCache importState, RelocationState relocState, ContainerHeader header, Program program, MessageLog log, TaskMonitor monitor)`
  `int`
  `getRunLength()`
  `int`
  `getSubopcode()`
  `boolean`
  `isMatch()`
  `String`
  `toString()`

  ### Methods inherited from class ghidra.app.util.bin.format.pef.Relocation

  `getOpcode, getRepeatChunks, getRepeatCount, getSizeInBytes, toDataType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### kPEFRelocBySectC

    public static final int kPEFRelocBySectC
    See Also:
      - Constant Field Values

  - ### kPEFRelocBySectD

    public static final int kPEFRelocBySectD
    See Also:
      - Constant Field Values

  - ### kPEFRelocTVector12

    public static final int kPEFRelocTVector12
    See Also:
      - Constant Field Values

  - ### kPEFRelocTVector8

    public static final int kPEFRelocTVector8
    See Also:
      - Constant Field Values

  - ### kPEFRelocVTable8

    public static final int kPEFRelocVTable8
    See Also:
      - Constant Field Values

  - ### kPEFRelocImportRun

    public static final int kPEFRelocImportRun
    See Also:
      - Constant Field Values

- ## Method Details

  - ### isMatch

    public boolean isMatch()
    Specified by:
      `isMatch` in class `Relocation`

  - ### getSubopcode

    public int getSubopcode()

  - ### getRunLength

    public int getRunLength()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Relocation`

  - ### apply

    public void apply(ImportStateCache importState, RelocationState relocState, ContainerHeader header, Program program, MessageLog log, TaskMonitor monitor)
    Specified by:
      `apply` in class `Relocation`